Subject: Re: pci_unmap_single() and CONFIG_NOT_COHERENT_CACHE

From: Roland Dreier <[email-masked]>
Date: 09 May 2003 11:28:12 -0700

Allen> I noticed in pci.h that pci_unmap_single() is a null
    Allen> function. (essentially does nothing) Shouldn't is call
    Allen> consistent_sync() so that flush_dcache_range() is called?

No, the cache invalidate or flush has to happen when pci_map_single()
is used.  There's nothing to do after the DMA is done (which is when
pci_unmap_single() gets called).

 - Roland

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/